/************************************************
/* Siggen serial programming routine
/* for PIC16F684
/* by Christopher Durkin (cjdurkin@gmail.com)
/***********************************************/
#include "pic.h"
#include "siggen.h"

/* GLOBAL VARS */
static unsigned int count;

/* PIC CONFIGURATION WORD */
__IDLOC(1);
__CONFIG(INTIO & WDTEN & MCLRDIS & BORDIS & UNPROTECT & PWRTEN);

void main() {
  pic_init();
  program_mux(1);
  program_pll();
  int_enable();

  /* main loop */  
  while(1) {
    if (count > 3906) { // every 1 sec (count++ every 256 us)
      OUT2 = !OUT2;
      count = 0;
    }
  }
}

static void interrupt isr(void) {
  CLRWDT();
  count++;                // Add 1 to count - insert idle comment         
  T0IF = 0;               // Clear interrupt flag, ready for next         
  OUT1 = !OUT1;           // toggle bit we're alive  
}   
